routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','PageController@index');


// =================== Proses Belanja ========================
Route::get('cart','CartController@index');
Route::post('cart','CartController@store');
Route::post('cart/checkout','CartController@checkout');
Route::delete('cart/{id}','CartController@destroy');
// =================== End Proses Belanja =====================

Route::get('/user/verify/{token}', 'Auth\RegisterController@verifyUser');
Auth::routes();
Route::get('courses','CourseController@index');
Route::get('course/{slug}','CourseController@show');
Route::get('page/verification','PageController@verification');



Route::get('play/{courseSlug}/{lessonSlug?}','CourseController@play');



// ======================== Halaman Admin =================================
Route::prefix('adminzone')->name('adminzone.')->group(function () {
    Route::resource('category','Admin\CategoryController');
    Route::resource('discount','Admin\DiscountController');
    Route::resource('course','Admin\CourseController');
    Route::get('order','Admin\OrderController@index')->name('order.index');
    Route::get('order/{invoice?}', 'Admin\OrderController@show')->where('invoice', '(.*)')->name('order.show');
    Route::put('order/{invoice?}', 'Admin\OrderController@update')->where('invoice', '(.*)')->name('order.update');
    Route::get('user/{id}/orders','Admin\UserController@orders')->name('user.orders');
    Route::get('user/member','Admin\UserController@member')->name('user.member');
    Route::get('user/{id}/follow','Admin\CourseController@follow')->name('course.follow');
    Route::resource('user','Admin\UserController');
    Route::resource('section','Admin\SectionController');
    Route::resource('lesson','Admin\LessonController');
    Route::get('login','Admin\AuthController@formLogin');
    Route::post('login','Admin\AuthController@login')->name('login');
    Route::get('logout','Admin\AuthController@logout')->name('logout');
    Route::get('dashboard','Admin\PageController@dashboard');
});
// ======================== End Halaman Admin =================================

// ======================== Endpoint API  =================================
Route::prefix('api')->name('api.')->group(function () {
    Route::get('course','Api\CourseController@index');
    Route::get('course/{slug}','Api\CourseController@show');
});
// ======================== End Endpoint API =================================


Route::get('/home', 'HomeController@index')->name('home');

app/Models/Section.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Section extends Model
{
    protected $fillable=['course_id','name','description'];

    public function lessons()
    {
        return $this->hasMany('App\Models\Lesson')->select('id','title','slug','video_url','public','section_id','duration');
    }
}

app/Http/Controllers/Admin/SectionController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Repositories\Eloquent\EloquentCourseRepository;
use App\Repositories\Eloquent\EloquentSectionRepository;
class SectionController extends Controller
{
    public $sectionRepo;

    public function __construct(EloquentSectionRepository $sectionRepo)
    {
        $this->sectionRepo = $sectionRepo;
    }

    public function show($id, EloquentCourseRepository $courseRepo)
    {
        $data['course'] = $courseRepo->find($id);
        return view('admin.section.create',$data);
    }

    public function store(Request $request)
    {
        $this->sectionRepo->create($request->all());
        return redirect(route('adminzone.course.show',['id'=>$request->course_id]))->with('message','Success Add New Section With Name '.$request->name);
    }

    public function edit($id, EloquentCourseRepository $courseRepo)
    {
        $data['section']    = $this->sectionRepo->find($id);
        $data['course']     = $courseRepo->find($data['section']->course_id);
        return view('admin.section.edit',$data);
    }

    public function update($id, Request $request)
    {
        $this->sectionRepo->update($id,$request->all());
        return redirect(route('adminzone.course.show',['id'=>$request->course_id]))->with('message','Update Section With Name '.$request->name.' Has Updated');
    }

    public function destroy($id)
    {
        $section = $this->sectionRepo->find($id);
        $this->sectionRepo->delete($id);
        return redirect(route('adminzone.course.show',['id'=>$section->course_id]))->with('message','A Section With Name '.$section->name.' Has Deleted');
    }
}

resources/views/admin/section/create.blade.php
@extends('admin.layout')
@section('title','Create Section Course')
@section('content')
<section class="content">
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">Horizontal Form</h3>
            </div>
            {{ Form::open(['url'=>route('adminzone.section.store'),'class'=>'form-horizontal'])}}
            @include('validation')
            @include('admin.section.form')
            </form>
        </div>
    </div>
</section>
@endsection

resources/views/admin/section/edit.blade.php
@extends('admin.layout')
@section('title','Update Section Course')
@section('content')
<section class="content">
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">Horizontal Form</h3>
            </div>
            {{ Form::model($section,['url'=>route('adminzone.section.update',['id'=>$section->id]),'class'=>'form-horizontal','method'=>'PUT'])}}
            @include('validation')
            @include('admin.section.form')
            </form>
        </div>
    </div>
</section>
@endsection

resources/views/admin/section/form.blade.php
<div class="card-body">
    <div class="form-group row">
        <label for="inputEmail3" class="col-sm-2 col-form-label">Course</label>
        <div class="col-sm-10">
           {{ Form::text('course_id',$course->title,['class'=>'form-control','disabled'=>'disabled'])}}
           {{ Form::hidden('course_id',$course->id)}}
        </div>
    </div>
    <div class="form-group row">
        <label for="inputEmail3" class="col-sm-2 col-form-label">Section Name</label>
        <div class="col-sm-10">
           {{ Form::text('name',null,['class'=>'form-control','placeholder'=>'Section Title'])}}
        </div>
    </div>
    <div class="form-group row">
        <label for="inputEmail3" class="col-sm-2 col-form-label">Description</label>
        <div class="col-sm-10">
           {{ Form::textarea('description',null,['class'=>'form-control','placeholder'=>'Section Description'])}}
        </div>
    </div>
</div>
<div class="card-footer">
    <button type="submit" class="btn btn-info"><i class="fas fa-save"></i> Save Data</button>
    <a href="{{ route('adminzone.course.index') }}" class="btn btn-danger"><i class="fas fa-backward"></i> Back</a>
</div>